Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Class ProblemsLabelDecorator.ProblemsLabelChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jface.viewers.LabelProviderChangedEvent
              org.eclipse.jdt.ui.ProblemsLabelDecorator.ProblemsLabelChangedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ProblemsLabelDecorator

public static class ProblemsLabelDecorator.ProblemsLabelChangedEvent
extends LabelProviderChangedEvent

This is a special `LabelProviderChangedEvent` carrying additional information whether the event origins from a maker change.

`ProblemsLabelChangedEvent`s are only generated by `ProblemsLabelDecorator`s.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ProblemsLabelDecorator.ProblemsLabelChangedEvent(IBaseLabelProvider source, IResource[] changedResource, boolean isMarkerChange)` Note: This constructor is for internal use only.

Method Summary
`boolean` | `isMarkerChange()` Returns whether this event origins from marker changes.

Methods inherited from class org.eclipse.jface.viewers.LabelProviderChangedEvent
`getElement, getElements`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProblemsLabelDecorator.ProblemsLabelChangedEvent

    public ProblemsLabelDecorator.ProblemsLabelChangedEvent(IBaseLabelProvider source,
                                                            IResource[] changedResource,
                                                            boolean isMarkerChange)

  Note: This constructor is for internal use only. Clients should not call this constructor.

Method Detail

### isMarkerChange

    public boolean isMarkerChange()

  Returns whether this event origins from marker changes. If `false` an annotation model change is the origin. In this case viewers not displaying working copies can ignore these events.

  Returns:
    if this event origins from a marker change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.